# ArtifactTypeDefinition

interface ArtifactTypeDefinition : HasAttributes, Named

Meta-data about a particular type of artifacts.

#### Since

4.0

## Properties

ARTIFACT_TYPE_ATTRIBUTE
Link copied to clipboard
val ARTIFACT_TYPE_ATTRIBUTE: Attribute<String>
The attribute that represents the type of the artifact.
BINARY_DATA_TYPE
Link copied to clipboard
@Incubating
val BINARY_DATA_TYPE: String = "binary"
Represents a binary file
DIRECTORY_TYPE
Link copied to clipboard
val DIRECTORY_TYPE: String = "directory"
Represents a raw directory
JAR_TYPE
Link copied to clipboard
val JAR_TYPE: String = "jar"
Represents a JAR file.
JVM_CLASS_DIRECTORY
Link copied to clipboard
val JVM_CLASS_DIRECTORY: String = "java-classes-directory"
Represents a directory tree containing class files.
JVM_RESOURCES_DIRECTORY
Link copied to clipboard
val JVM_RESOURCES_DIRECTORY: String = "java-resources-directory"
Represents a directory tree containing jvm classpath resource files.
ZIP_TYPE
Link copied to clipboard
val ZIP_TYPE: String = "zip"
Represents a zip file

## Functions

getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
Defines the set of attributes to apply to a component that is packaged as an artifact of this type, when no other attributes are defined.
getFileNameExtensions
Link copied to clipboard
abstract fun getFileNameExtensions(): Set<String>
Returns the set of file name extensions that should be mapped to this artifact type.
getName
Link copied to clipboard
abstract fun getName(): String